Subject: Re: pgbench - adding pl/pgsql versions of tests

From: Fabien COELHO <[email-masked]>
Date: Tue, 10 Jan 2023 14:43:58 +0100 (CET)

Hello,

> The attached patch adds pl/pgsql versions of "tpcb-like" and
> "simple-update" internal test scripts

Why not, it makes sense because it is relevant to some usage patterns.

Why not having the select version as a version as well?

If we are going to follow this road, we could also consider
"combined" queries with \; as well?

> $ pgbench -b list
> Available builtin scripts:
>              tpcb-like: <builtin: TPC-B (sort of)>
>      plpgsql-tpcb-like: <builtin: TPC-B (sort of) as a pl/pgsql function>
>          simple-update: <builtin: simple update>
>  plpgsql-simple-update: <builtin: simple update as a pl/pgsql function>
>            select-only: <builtin: select only>
>
> which one can run  using the -b / --builtin= option

ISTM that the -b had a fast selection so that only a prefix was enough to 
select a script (-b se = -b select-only). Maybe such convenient shortcut 
should be preserved, it seems that the long name will be needed for the pl 
versions.

> And a flag --no-functions which lets you not to create the functions at init

Hmmm. Not so sure.

> there are also character flags to -I / --init ,
> -- Y to drop the functions and
> -- y to create the functions. Creating is default behaviour, but can
> be disabled fia long flag --no-functions )

Ok.

> I selected Yy as they were unused and can be thought of as "inverted
> lambda symbol" :)

:-)

> If there are no strong objections, I'll add it to the commitfest as well

Please do that.

-- 
Fabien Coelho.